// (c) MIT 2003.  All rights reserved.

package rec.house;


import java.awt.*;
import java.util.*;
import rec.core.*;
import rec.util.*;
import rec.sys.*;

public class DoorFixer extends Tracker
{
  public DoorFixer()
  {
  }
  
  public Iterator getInputTypes()
  {
    Vector v = new Vector();
    
    v.addElement( "rec.house.Door" );
    
    return v.iterator();
  }

  public Iterator getOutputTypes() 
  {
    return getInputTypes();
  }


  public void removed( Widget widget )
  {
  }


  public void replaced( Widget ow, Collection nws )
  {
  }

  public void replaced( Widget ow, Widget nw )
  {
  }


  public void altered( Widget widget, Transition t )
  {
  }
  

} // end DoorFixer

